Project

General

Profile

Bug #3005

gettext 3.0.0 breaks Ruby 1.8 support

Added by Dominic Cleal over 5 years ago. Updated over 5 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Internationalization
Target version:
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

http://ci.theforeman.org/job/test_develop/331/database=mysql,puppet=3.0,ruby=1.8.7/console

Using /usr/local/rvm/gems/ruby-1.8.7-p371 with gemset test_develop-2
rake aborted!
undefined method `force_encoding' for "\225\004\022\336":String
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop-2/gems/gettext-3.0.0/lib/gettext/mo.rb:46

http://rubydoc.info/gems/gettext/file/doc/text/news.md

  • Removed Ruby 1.8 support.

Related issues

Related to Foreman - Tracker #4656: Drop Ruby 1.8 supportClosed

Associated revisions

Revision bdaf8880 (diff)
Added by Dominic Cleal over 5 years ago

fixes #3005 - restrict gettext to Ruby 1.8 compatible version

Revision f6c98a5d (diff)
Added by Dominic Cleal over 5 years ago

fixes #3005 - restrict gettext to Ruby 1.8 compatible version

(cherry picked from commit bdaf88803294f4442b44e7184e65ac42c1ea6bd7)

History

#1 Updated by Dominic Cleal over 5 years ago

  • Status changed from Assigned to Ready For Testing

#2 Updated by Dominic Cleal over 5 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#3 Updated by Dominic Cleal about 5 years ago

Also available in: Atom PDF